
Name: 	 	gscan2pdf
Summary: 	Producies multipage PDFs from a scan
Version: 	2.1.7
Release: 	%mkrel 1
License:	GPLv3
Group:		Publishing
URL:		http://gscan2pdf.sourceforge.net/
Source:		http://jaist.dl.sourceforge.net/sourceforge/%name/%name-%version.tar.xz
Patch0:		gscan2pdf-2.1.6-fix-utf8-characters.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	desktop-file-utils
Requires:	libtiff-progs
Requires:	sane-frontends
Requires:	unpaper
Requires:	xdg-utils
Requires:	djvulibre
Requires:	gocr
Requires:	perl-Config-General
Requires:	perl-Gtk2-Ex-PodViewer
Requires:	perl-Gtk2-Ex-Simple-List
Requires:	perl-PDF-API2
Requires:	perl-Gtk2
Requires:	perl-Locale-gettext 
Requires:	perl-Image-Magick
Requires:	perl-Gtk2-Ex-PodViewer
Requires:	perl-forks
Requires:	perl-reaper
Requires:	perl-Set-IntSpan
Requires:	perl-Log-Log4perl
Requires:	perl-Gtk2-ImageView
Requires:	perl-Goo-Canvas
Requires:	perl-Archive-Tar
Requires:	perl-Sane
Requires:	perl-Proc-ProcessTable
Requires:	perl-Readonly
Requires:   perl-Filesys-Df
Requires:   perl-Date-Calc
Requires:   perl-Image-Sane
Obsoletes: 	%{name} < %version
BuildArch:	noarch

%description
A GUI to ease the process of producing a multipage PDF from a scan.

Scanning is handled with SANE via scanimage. PDF conversion is done by
PDF::API2. TIFF export is handled by libtiff (faster and smaller memory
footprint for multipage files).

%prep
%setup -q
%patch0 -p1

# fix file that is not UTF-8
iconv --from=ISO-8859-1 --to=UTF-8 History > History.new
mv History.new History

%build
%__perl Makefile.PL INSTALLDIRS=vendor SHAREDIR=%{_datadir}

%make_build

%install
rm -rf $RPM_BUILD_ROOT
%make_install

desktop-file-install --vendor='' \
	--dir=%buildroot%_datadir/applications \
	--remove-category="Application" \
        --add-category="Office;X-MandrivaLinux-Office-Accessories" \
	%buildroot%_datadir/applications/*.desktop

# icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 icons/%name.svg $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 icons/%name.svg $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 icons/%name.svg $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc History INSTALL
%{_bindir}/*
%{_datadir}/%name
%{_datadir}/applications/*
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_datadir}/pixmaps/%{name}.svg
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_datadir}/metainfo/gscan2pdf.appdata.xml
%{_datadir}/help/C/gscan2pdf/documentation.html

%changelog
* Mon Nov 26 2018 adrianomorselli <adrianomorselli> 2.1.7-1uplos2018
- update
